<html>
<head>
<title>OGRE: Class Members - Functions - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_func.html#index__"><span>_</span></a></li>
    <li><a href="functions_func_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_func_0x6b.html#index_k"><span>k</span></a></li>
    <li class="current"><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_func_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_func_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_func_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_func_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
<li>length()
: <a class="el" href="classOgre_1_1Vector2.html#37afa7257464098c518321ddf438f1a9">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#af4b62c1fe4d51e3a49b76490900d843">Ogre::Vector3</a>
<li>LexemeTokenDef()
: <a class="el" href="structOgre_1_1Compiler2Pass_1_1LexemeTokenDef.html#d95020fc2e5f9f8915e8f89142223ddb">Ogre::Compiler2Pass::LexemeTokenDef</a>
<li>licenseExpired()
: <a class="el" href="classOgre_1_1HardwareBufferLicensee.html#a5a241d6a5d4f8596affadda26555cff">Ogre::HardwareBufferLicensee</a>
, <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#20082709a68b75596620418aa69a172a">Ogre::TempBlendedBufferInfo</a>
<li>Light()
: <a class="el" href="classOgre_1_1Light.html#cee7830214ec1660dc13796f6ca99e36">Ogre::Light</a>
<li>LightFactory()
: <a class="el" href="classOgre_1_1LightFactory.html#7cce44bd71877c5bc68bce055171380f">Ogre::LightFactory</a>
<li>LinkedSkeletonAnimationSource()
: <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html#7a01cb43456b193136f19dd60e9ec7f2">Ogre::LinkedSkeletonAnimationSource</a>
<li>linkWorldGeometryToResourceGroup()
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#632b4b36f47b6c6f88df62cca7e3d7b4">Ogre::ResourceGroupManager</a>
<li>LiSPSMShadowCameraSetup()
: <a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#9773b96e56d49b46ae8b71ef94e60e73">Ogre::LiSPSMShadowCameraSetup</a>
<li>list()
: <a class="el" href="classOgre_1_1ZipArchive.html#8cbf4313ddcec3c2dd511e02d7a9f3d8">Ogre::ZipArchive</a>
, <a class="el" href="classOgre_1_1Archive.html#777370220240813a2595689c913dec16">Ogre::Archive</a>
, <a class="el" href="classOgre_1_1FileSystemArchive.html#5907d6e8da20de62af12d564d9fbd279">Ogre::FileSystemArchive</a>
<li>Listener()
: <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#358139c1e09d4c36c050861bd4f5b37e">Ogre::MovableObject::Listener</a>
, <a class="el" href="classOgre_1_1Node_1_1Listener.html#0808cd3ddd6a1ec90ce947677839aab8">Ogre::Node::Listener</a>
, <a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html#2ccefd2fe4eb8ca096e8ec7efbefc413">Ogre::RenderSystem::Listener</a>
, <a class="el" href="classOgre_1_1Resource_1_1Listener.html#082340c9150be4d1b0509fd235e26ddc">Ogre::Resource::Listener</a>
<li>listFileInfo()
: <a class="el" href="classOgre_1_1Archive.html#5c1747f4ab92962a5528a263c714dc31">Ogre::Archive</a>
, <a class="el" href="classOgre_1_1FileSystemArchive.html#ebb587510a65222aca84fa6f8eb69e0f">Ogre::FileSystemArchive</a>
, <a class="el" href="classOgre_1_1ZipArchive.html#a7c40c98db185a0e0b6ecba912fc4550">Ogre::ZipArchive</a>
<li>listResourceFileInfo()
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#d0e7e504bbf763125cef2d725606328b">Ogre::ResourceGroupManager</a>
<li>listResourceNames()
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#b9f554bc463de7fd116b2ce59879fb11">Ogre::ResourceGroupManager</a>
<li>load()
: <a class="el" href="classOgre_1_1DynLibManager.html#f4a3f7e3900012a73848d2f7e1dccd17">Ogre::DynLibManager</a>
, <a class="el" href="classOgre_1_1FileSystemArchive.html#f3fbf5feb7c3875831d22808b3545d75">Ogre::FileSystemArchive</a>
, <a class="el" href="classOgre_1_1GpuProgramManager.html#cf1a17422bc3cd1b7af27269bf4182cf">Ogre::GpuProgramManager</a>
, <a class="el" href="classOgre_1_1Image.html#8696e6097310fc2c6d0e9fd20aebacf5">Ogre::Image</a>
, <a class="el" href="classOgre_1_1MeshManager.html#04b063fe9776a7527996772678284275">Ogre::MeshManager</a>
, <a class="el" href="classOgre_1_1Resource.html#699d1c851f494a8d5d23d23b695ceb47">Ogre::Resource</a>
, <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#b14cf2235526638f58ddbf234379219a">Ogre::ResourceBackgroundQueue</a>
, <a class="el" href="classOgre_1_1ResourceManager.html#998612da9b363c55e3be826f2a91c25a">Ogre::ResourceManager</a>
, <a class="el" href="classOgre_1_1TextureManager.html#51761d20c23356defa3a252383e9414d">Ogre::TextureManager</a>
, <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram.html#39d8ef352a44619ef8cdd93e152c9b5c">Ogre::UnifiedHighLevelGpuProgram</a>
, <a class="el" href="classOgre_1_1ZipArchive.html#3bb00b0bd7e3164082248bbedb273784">Ogre::ZipArchive</a>
, <a class="el" href="classOgre_1_1Archive.html#6a073d74d1fab7d5499a35fab466c1b3">Ogre::Archive</a>
, <a class="el" href="classOgre_1_1ArchiveManager.html#5aee8deff46987c5cfd2c427c80bacde">Ogre::ArchiveManager</a>
, <a class="el" href="classOgre_1_1ConfigFile.html#361167ade63602d0cf242ee24a10b4a8">Ogre::ConfigFile</a>
, <a class="el" href="classOgre_1_1DynLib.html#038546cd3a5b9d9385b14aa3e0a8179b">Ogre::DynLib</a>
<li>loadDirect()
: <a class="el" href="classOgre_1_1ConfigFile.html#6f0e8df905fe76a8443fb35938b7093c">Ogre::ConfigFile</a>
<li>loadDynamicImage()
: <a class="el" href="classOgre_1_1Image.html#5216235925e6373c0f5083da1e079c1a">Ogre::Image</a>
<li>loadFromResourceSystem()
: <a class="el" href="classOgre_1_1ConfigFile.html#cff4e2bdf7a14e6592a324452c243a04">Ogre::ConfigFile</a>
<li>loadFromSource()
: <a class="el" href="classOgre_1_1GpuProgram.html#fff940ecde8acf0de14f7b635d5935b4">Ogre::GpuProgram</a>
, <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram.html#e020e7eebb18e5c0dcd267703b28188f">Ogre::UnifiedHighLevelGpuProgram</a>
<li>loadFromString()
: <a class="el" href="classOgre_1_1GpuProgramManager.html#a97ecb7825ee46c6be15313b6592ee16">Ogre::GpuProgramManager</a>
<li>loadHighLevel()
: <a class="el" href="classOgre_1_1HighLevelGpuProgram.html#6d028cd8ef8401dadb154d2414f4f585">Ogre::HighLevelGpuProgram</a>
<li>loadHighLevelImpl()
: <a class="el" href="classOgre_1_1HighLevelGpuProgram.html#fb222f693096d937ec5ccf5258313a5f">Ogre::HighLevelGpuProgram</a>
<li>loadImage()
: <a class="el" href="classOgre_1_1Texture.html#c129cc0a773f0d9d0eb4c3c1a1b65618">Ogre::Texture</a>
, <a class="el" href="classOgre_1_1TextureManager.html#0ac92c3e247e50dd0d2e6fcef85c9d96">Ogre::TextureManager</a>
<li>loadImpl()
: <a class="el" href="classOgre_1_1SkeletonInstance.html#b2dc8cc47d9961f03bb1a4b33acfdc26">Ogre::SkeletonInstance</a>
, <a class="el" href="classOgre_1_1Material.html#557b4a5fa14441a471269de195cc8241">Ogre::Material</a>
, <a class="el" href="classOgre_1_1Skeleton.html#33faa184ac9e960dfc4dc242b2a96809">Ogre::Skeleton</a>
, <a class="el" href="classOgre_1_1Compositor.html#bb947f3b2cb303ef11dfda333cd79ffb">Ogre::Compositor</a>
, <a class="el" href="classOgre_1_1Font.html#4a33b2296188dc15d66ef1c9cff88f04">Ogre::Font</a>
, <a class="el" href="classOgre_1_1GpuProgram.html#3e7f0be5a5a0990f26028f661ce81a5f">Ogre::GpuProgram</a>
, <a class="el" href="classOgre_1_1HighLevelGpuProgram.html#2801ef0d382104bf4eeaa84c2002fc96">Ogre::HighLevelGpuProgram</a>
, <a class="el" href="classOgre_1_1Mesh.html#04c9da26ab90708954348629cb5cbc74">Ogre::Mesh</a>
, <a class="el" href="classOgre_1_1PatchMesh.html#e558fc8611b5f15e0cc5f9195c5b641c">Ogre::PatchMesh</a>
, <a class="el" href="classOgre_1_1Resource.html#edac2886ca15f5f2c43ab2c272998fbf">Ogre::Resource</a>
<li>loadManualCurvedIllusionPlane()
: <a class="el" href="classOgre_1_1MeshManager.html#1f0fec656485db6cb8a98a62b556371d">Ogre::MeshManager</a>
<li>loadManualCurvedPlane()
: <a class="el" href="classOgre_1_1MeshManager.html#2500de27f1d0bd2fb0f14f58076ddc03">Ogre::MeshManager</a>
<li>loadManualPlane()
: <a class="el" href="classOgre_1_1MeshManager.html#a42867ecf933433417ef0f5dcba0b16f">Ogre::MeshManager</a>
<li>loadPlugin()
: <a class="el" href="classOgre_1_1Root.html#f0744e85bddb05885a91809bcdf8f864">Ogre::Root</a>
<li>loadPlugins()
: <a class="el" href="classOgre_1_1Root.html#daaebab61f306315895f1d513bf43378">Ogre::Root</a>
<li>loadRawData()
: <a class="el" href="classOgre_1_1Image.html#34f63a18e0f76a06b4241176359ada3e">Ogre::Image</a>
, <a class="el" href="classOgre_1_1Texture.html#1d84784891731ee66945ffbc3b31e35b">Ogre::Texture</a>
, <a class="el" href="classOgre_1_1TextureManager.html#94cc0ef736e1af46e1a6e8e56d6e6c15">Ogre::TextureManager</a>
, <a class="el" href="classOgre_1_1Image.html#7c48c4bc51b8f881be4be863b5a83d80">Ogre::Image</a>
<li>loadResource()
: <a class="el" href="classOgre_1_1Font.html#d9fb35dcaf249ea1d86a3fe849422e2d">Ogre::Font</a>
, <a class="el" href="classOgre_1_1ManualResourceLoader.html#e04795ab21e4a46709beb6d521a75c53">Ogre::ManualResourceLoader</a>
, <a class="el" href="classOgre_1_1MeshManager.html#b9db84516cdc6a681c3c491b259c35cd">Ogre::MeshManager</a>
<li>loadResourceGroup()
: <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#8caf7ad66b4c65608fa6a6dfc0b0f7cb">Ogre::ResourceBackgroundQueue</a>
, <a class="el" href="classOgre_1_1ResourceGroupManager.html#3b1d27ae4ff8fe5b9ac48f6325b727e9">Ogre::ResourceGroupManager</a>
<li>lock()
: <a class="el" href="classOgre_1_1HardwarePixelBuffer.html#8aaa214f42a683f7203ed42f8c0caf17">Ogre::HardwarePixelBuffer</a>
, <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#377ec1f48ea9a94ae6c84010dd697618">Ogre::DefaultHardwareIndexBuffer</a>
, <a class="el" href="classOgre_1_1HardwareBuffer.html#b1caebda1f7442706df97531c2d90aaf">Ogre::HardwareBuffer</a>
, <a class="el" href="classOgre_1_1DefaultHardwareVertexBuffer.html#14eb8ea50b3eb46146dcfad7a08ebe73">Ogre::DefaultHardwareVertexBuffer</a>
, <a class="el" href="classOgre_1_1HardwarePixelBuffer.html#98181701e387658963d0739984499fb3">Ogre::HardwarePixelBuffer</a>
<li>lockImpl()
: <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a6fb414450d575e1ee37f3d72415da70">Ogre::DefaultHardwareIndexBuffer</a>
, <a class="el" href="classOgre_1_1DefaultHardwareVertexBuffer.html#75719625e5f2e41cd4ff6e27a0edbe28">Ogre::DefaultHardwareVertexBuffer</a>
, <a class="el" href="classOgre_1_1HardwarePixelBuffer.html#7f1dffbd05953facc61166cb7ad5066c">Ogre::HardwarePixelBuffer</a>
, <a class="el" href="classOgre_1_1HardwareBuffer.html#59021d471dfa4598bd1a98d6982ac558">Ogre::HardwareBuffer</a>
, <a class="el" href="classOgre_1_1HardwarePixelBuffer.html#6ab419f1f901d58230f76ad844636be4">Ogre::HardwarePixelBuffer</a>
<li>LODBucket()
: <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#8e7ad9c80d4c1ea1f9b5db0830b19332">Ogre::InstancedGeometry::LODBucket</a>
, <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#2db377e01fa7f8ec683fc997d2bdbbb2">Ogre::StaticGeometry::LODBucket</a>
<li>log()
: <a class="el" href="classOgre_1_1RenderSystemCapabilities.html#ef9f2e248e419df9621415c3951fba09">Ogre::RenderSystemCapabilities</a>
<li>Log()
: <a class="el" href="classOgre_1_1Math.html#09521a106825acbaac711211de57242b">Ogre::Math</a>
<li>log()
: <a class="el" href="classOgre_1_1EdgeData.html#325ca9f8c825077c2ce6e67d11fd0558">Ogre::EdgeData</a>
, <a class="el" href="classOgre_1_1EdgeListBuilder.html#66aa1d48de5385be8233c8733af99186">Ogre::EdgeListBuilder</a>
, <a class="el" href="classOgre_1_1PlatformInformation.html#e04f524bd9f4e399eeb5307a39ab1f56">Ogre::PlatformInformation</a>
<li>Log()
: <a class="el" href="classOgre_1_1Quaternion.html#a446f6210a2446c7ff3a9358635988c4">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Log.html#3aff6b56352d8bc30c568c5bdffb2919">Ogre::Log</a>
<li>logBadAttrib()
: <a class="el" href="classOgre_1_1FontManager.html#386be95b813a67af7d51067648cba9d1">Ogre::FontManager</a>
<li>logInfo()
: <a class="el" href="classOgre_1_1ConvexBody.html#6244600b134c90e33fa32e6d0f1e008b">Ogre::ConvexBody</a>
<li>LogManager()
: <a class="el" href="classOgre_1_1LogManager.html#51428feae11310e268c885bf3c0bf331">Ogre::LogManager</a>
<li>logMessage()
: <a class="el" href="classOgre_1_1LogManager.html#0c4faae4a0fbe6f8df7583cfa4c63b52">Ogre::LogManager</a>
, <a class="el" href="classOgre_1_1Log.html#41ad772d673872b2bbbf87f1f7c52eca">Ogre::Log</a>
, <a class="el" href="classOgre_1_1LogManager.html#4be284d44cb3271413335d2e56fb49fb">Ogre::LogManager</a>
<li>logParseError()
: <a class="el" href="classOgre_1_1MaterialScriptCompiler.html#c7b3146bd0a323ef17227ca8d172c856">Ogre::MaterialScriptCompiler</a>
, <a class="el" href="classOgre_1_1CompositorScriptCompiler.html#a81d21298f30502065b6ccbf08f310dd">Ogre::CompositorScriptCompiler</a>
<li>logResults()
: <a class="el" href="classOgre_1_1Profiler.html#456a0f133ccea3eb515626edd22963ec">Ogre::Profiler</a>
<li>lookAt()
: <a class="el" href="classOgre_1_1SceneNode.html#4a6e34aab331802bc836668e78a08508">Ogre::SceneNode</a>
, <a class="el" href="classOgre_1_1Camera.html#4d5b3cac0c09c3cc37e36a957dcc7797">Ogre::Camera</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:01 2008
</p>
</body>
</html>
